SOAP / REST API Add-On

Adds CRUD WebAPI endpoints for product-customer matrices (matrices, matrix attributes, and matrix customer assignments).

Package

  • Composer package: mageb2b/pricesystem-productcustomermatrix-api
  • Magento module: MageB2B_PricesystemProductCustomerMatrixApi

Installation

composer config bearer.repo.softwaresilo.io <token>
composer config repositories.softwaresilo composer https://repo.softwaresilo.io/
composer require mageb2b/pricesystem-productcustomermatrix-api:*

php bin/magento setup:upgrade
php bin/magento cache:flush

Endpoints (Overview)

Matrix endpoints:

Method URL
GET /V1/pricesystem/productcustomermatrix/:id
GET /V1/pricesystem/productcustomermatrix/search
POST /V1/pricesystem/productcustomermatrix
PUT /V1/pricesystem/productcustomermatrix/:id
DELETE /V1/pricesystem/productcustomermatrix/:id

Matrix attribute endpoints:

Method URL
GET /V1/pricesystem/productcustomermatrixattribute/:id
GET /V1/pricesystem/productcustomermatrixattribute/search
POST /V1/pricesystem/productcustomermatrixattribute
PUT /V1/pricesystem/productcustomermatrixattribute/:id
DELETE /V1/pricesystem/productcustomermatrixattribute/:id

Matrix customer assignment endpoints:

Method URL
GET /V1/pricesystem/productcustomermatrixcustomer/:id
GET /V1/pricesystem/productcustomermatrixcustomer/search
POST /V1/pricesystem/productcustomermatrixcustomer
PUT /V1/pricesystem/productcustomermatrixcustomer/:id
DELETE /V1/pricesystem/productcustomermatrixcustomer/:id

For the full list, see: Pricesystem SOAP / REST API

Found an issue with this documentation? Let us know